
/**
 * 根节点数据
 */
declare const $$data : object

/**
 * 上下文数据
 */
declare const $data : object

/**
 * 组件
 */
declare const $comp : {

}[]

/**
 * 参数
 */
declare const $params : object

/**
 * 用户信息
 */
declare const $info : {
    userCode : string,
    userName : string,
    primaryUnit : string,
    primaryUnitName : string,
    isValid : string,
    loginName : string,
    userOptList : [],
    userRoles : [],
    userUnits : [],
}

/**
 * 发送接口请求
 */
declare const $dde : {
    /**
     * 发送 GET 请求
     * @param id 接口ID
     * @param options 配置
     */
    get(id: string, options ?: object) : any,

    /**
     * 发送 POST 请求
     * @param id 接口ID
     * @param data 发送数据
     * @param options 配置
     */
    post(id: string, data: object, options ?: object) : any,

    /**
     * 发送 PUT 请求
     * @param id 接口ID
     * @param data 发送数据
     * @param options 配置
     */
    put(id: string, data: object, options ?: object) : any,

    /**
     * 发送 DELETE 请求
     * @param id 接口ID
     * @param options 配置
     */
    delete(id: string, options ?: object) : any,
}

/**
 * 执行方法
 * @param name 方法名
 * @param args 方法参数
 */
declare function $run(name : string, ...args) : any

/**
 * 发射事件
 * @param name 事件名
 * @param args 事件参数
 */
declare function $emit(name : string, ...args) : void

